Commit aadf329f authored by Otto Kekäläinen's avatar Otto Kekäläinen
Browse files

Update manually inside files all occurences of 10.1 to 10.3 where needed

parent acafd53a
...@@ -21,13 +21,13 @@ The official Debian package source is hosted on the Debian Gitlab server under ...@@ -21,13 +21,13 @@ The official Debian package source is hosted on the Debian Gitlab server under
the MariaDB/MySQL packaging team at https://salsa.debian.org/mariadb-team/. You the MariaDB/MySQL packaging team at https://salsa.debian.org/mariadb-team/. You
are welcome to fork it and make merge requests. are welcome to fork it and make merge requests.
To get the latest official Debian packaging source of mariadb-10.1, clone the To get the latest official Debian packaging source of mariadb-10.3, clone the
source repository with all relevant branches (master, upstream, pristine-tar) to source repository with all relevant branches (master, upstream, pristine-tar) to
your local environment using _git-buildpackage_: your local environment using _git-buildpackage_:
gbp clone --pristine-tar https://salsa.debian.org/mariadb-team/mariadb-10.1.git gbp clone --pristine-tar https://salsa.debian.org/mariadb-team/mariadb-10.3.git
If you have your own fork and SSH keys set up on Salsa, you can run: If you have your own fork and SSH keys set up on Salsa, you can run:
gbp clone --pristine-tar git@salsa.debian.org:<username>/mariadb-10.1.git gbp clone --pristine-tar git@salsa.debian.org:<username>/mariadb-10.3.git
The clone needs to be run only once. On later runs you can refresh your clone with The clone needs to be run only once. On later runs you can refresh your clone with
......
...@@ -44,14 +44,14 @@ See README.Contribute for details. ...@@ -44,14 +44,14 @@ See README.Contribute for details.
## Importing initial sources from upstream the first fime ## ## Importing initial sources from upstream the first fime ##
Create repository Create repository
mkdir mariadb-10.1 mkdir mariadb-10.3
cd mariadb-10.1 cd mariadb-10.3
git init git init
git branch upstream git branch upstream
gbp import-orig --pristine-tar ../../upstream/mariadb-10.1.20 gbp import-orig --pristine-tar ../../upstream/mariadb-10.3.20
Fill in values prompted Fill in values prompted
What will be the source package name? [mariadb] mariadb-10.1 What will be the source package name? [mariadb] mariadb-10.3
What is the upstream version? [10.1.20] What is the upstream version? [10.1.20]
Checkout master into working dir and finish up manually what needs to be done Checkout master into working dir and finish up manually what needs to be done
...@@ -79,7 +79,7 @@ https://mariadb.com/kb/en/mariadb/development/release-notes/ ...@@ -79,7 +79,7 @@ https://mariadb.com/kb/en/mariadb/development/release-notes/
### Steps to import new upstream version ### ### Steps to import new upstream version ###
Download new source package Download new source package
cd pkg-mariadb-10.1 cd pkg-mariadb-10.3
gbp import-orig --uscan --no-interactive --verbose gbp import-orig --uscan --no-interactive --verbose
Refresh patches Refresh patches
...@@ -117,7 +117,7 @@ Then proceed to make a source only build ...@@ -117,7 +117,7 @@ Then proceed to make a source only build
Test more with upload to Launchpad Test more with upload to Launchpad
COMMIT_ID=`git log -n 1 --oneline | cut -d ' ' -f 1` COMMIT_ID=`git log -n 1 --oneline | cut -d ' ' -f 1`
PKG=mariadb-10.1 PKG=mariadb-10.3
backportpackage --yes -u ppa:mysql-ubuntu/$PKG -d xenial -S ~`date '+%s'`.$COMMIT_ID $PKG*.dsc backportpackage --yes -u ppa:mysql-ubuntu/$PKG -d xenial -S ~`date '+%s'`.$COMMIT_ID $PKG*.dsc
When done, push to Salsa: When done, push to Salsa:
...@@ -135,8 +135,8 @@ Once you are sure there are no regressions, finally upload to Debian ...@@ -135,8 +135,8 @@ Once you are sure there are no regressions, finally upload to Debian
dput ftp-master *.changes dput ftp-master *.changes
After the upload, check that everything is OK at After the upload, check that everything is OK at
* https://tracker.debian.org/mariadb-10.1 (Debian) * https://tracker.debian.org/mariadb-10.3 (Debian)
* https://launchpad.net/ubuntu/+source/mariadb-10.1 (Ubuntu) * https://launchpad.net/ubuntu/+source/mariadb-10.3 (Ubuntu)
### Maintaining debian/copyright ### ### Maintaining debian/copyright ###
......
...@@ -134,7 +134,7 @@ innodb_default_row_format = dynamic ...@@ -134,7 +134,7 @@ innodb_default_row_format = dynamic
# you can put MariaDB-only options here # you can put MariaDB-only options here
[mariadb] [mariadb]
# This group is only read by MariaDB-10.1 servers. # This group is only read by MariaDB-10.3 servers.
# If you use the same .cnf file for MariaDB of different versions, # If you use the same .cnf file for MariaDB of different versions,
# use this group for options that older servers don't understand # use this group for options that older servers don't understand
[mariadb-10.1] [mariadb-10.3]
'''apport package hook for mariadb-10.1 '''apport package hook for mariadb-10.3
(c) 2009 Canonical Ltd. (c) 2009 Canonical Ltd.
Author: Mathias Gug <mathias.gug@canonical.com> Author: Mathias Gug <mathias.gug@canonical.com>
...@@ -21,7 +21,7 @@ def _add_my_conf_files(report, filename): ...@@ -21,7 +21,7 @@ def _add_my_conf_files(report, filename):
continue continue
def add_info(report): def add_info(report):
attach_conffiles(report, 'mariadb-server-10.1', conffiles=None) attach_conffiles(report, 'mariadb-server-10.3', conffiles=None)
key = 'Logs' + path_to_key('/var/log/daemon.log') key = 'Logs' + path_to_key('/var/log/daemon.log')
report[key] = "" report[key] = ""
for line in read_file('/var/log/daemon.log').split('\n'): for line in read_file('/var/log/daemon.log').split('\n'):
......
...@@ -32,8 +32,8 @@ Build-Depends: bison, ...@@ -32,8 +32,8 @@ Build-Depends: bison,
zlib1g-dev (>= 1:1.1.3-5~) zlib1g-dev (>= 1:1.1.3-5~)
Standards-Version: 4.2.1 Standards-Version: 4.2.1
Homepage: https://mariadb.org/ Homepage: https://mariadb.org/
Vcs-Browser: https://salsa.debian.org/mariadb-team/mariadb-10.1 Vcs-Browser: https://salsa.debian.org/mariadb-team/mariadb-10.3
Vcs-Git: https://salsa.debian.org/mariadb-team/mariadb-10.1.git Vcs-Git: https://salsa.debian.org/mariadb-team/mariadb-10.3.git
Package: libmariadbclient18 Package: libmariadbclient18
Section: libs Section: libs
......
#!/usr/bin/dh-exec #!/usr/bin/dh-exec
usr/lib/*/libmariadbclient.so.* usr/lib/*/libmariadbclient.so.*
usr/lib/*/mariadb18/plugin/client_ed25519.so usr/lib/*/mariadb19/plugin/client_ed25519.so
usr/lib/*/mariadb18/plugin/dialog.so usr/lib/*/mariadb19/plugin/dialog.so
[!hurd-i386] usr/lib/*/mariadb18/plugin/disks.so [!hurd-i386] usr/lib/*/mariadb19/plugin/disks.so
usr/lib/*/mariadb18/plugin/mysql_clear_password.so usr/lib/*/mariadb19/plugin/mysql_clear_password.so
# According to /usr/share/menu/ policy 1.4, not /usr/share/doc/debian-policy/ # According to /usr/share/menu/ policy 1.4, not /usr/share/doc/debian-policy/
?package(mariadb-client-10.1):needs="text" section="Applications/Data Management"\ ?package(mariadb-client-10.3):needs="text" section="Applications/Data Management"\
title="Innotop" command="/usr/bin/innotop" title="Innotop" command="/usr/bin/innotop"
...@@ -2,6 +2,6 @@ etc/mysql/conf.d/tokudb.cnf etc/mysql/mariadb.conf.d ...@@ -2,6 +2,6 @@ etc/mysql/conf.d/tokudb.cnf etc/mysql/mariadb.conf.d
usr/bin/tokuft_logprint usr/bin/tokuft_logprint
usr/bin/tokuftdump usr/bin/tokuftdump
usr/lib/*/mariadb18/plugin/ha_tokudb.so usr/lib/*/mariadb18/plugin/ha_tokudb.so
usr/share/doc/mariadb-server-10.1/README.md usr/share/doc/mariadb-plugin-tokudb/README.md usr/share/doc/mariadb-server-10.3/README.md usr/share/doc/mariadb-plugin-tokudb/README.md
usr/share/man/man1/tokuft_logprint.1 usr/share/man/man1/tokuft_logprint.1
usr/share/man/man1/tokuftdump.1 usr/share/man/man1/tokuftdump.1
...@@ -9,6 +9,6 @@ ${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 } ...@@ -9,6 +9,6 @@ ${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 }
# Beware that there are two ypwhich one of them needs the 2>/dev/null! # Beware that there are two ypwhich one of them needs the 2>/dev/null!
if test -n "`which ypwhich 2>/dev/null`" && ypwhich >/dev/null 2>&1; then if test -n "`which ypwhich 2>/dev/null`" && ypwhich >/dev/null 2>&1; then
db_input high mariadb-server-10.1/nis_warning || true db_input high mariadb-server-10.3/nis_warning || true
db_go db_go
fi fi
...@@ -8,8 +8,8 @@ debian/additions/debian-start.inc.sh usr/share/mysql ...@@ -8,8 +8,8 @@ debian/additions/debian-start.inc.sh usr/share/mysql
debian/additions/echo_stderr usr/share/mysql debian/additions/echo_stderr usr/share/mysql
debian/additions/mariadb.conf.d/50-mysqld_safe.cnf etc/mysql/mariadb.conf.d debian/additions/mariadb.conf.d/50-mysqld_safe.cnf etc/mysql/mariadb.conf.d
debian/additions/mariadb.conf.d/50-server.cnf etc/mysql/mariadb.conf.d debian/additions/mariadb.conf.d/50-server.cnf etc/mysql/mariadb.conf.d
debian/additions/source_mariadb-10.1.py usr/share/apport/package-hooks debian/additions/source_mariadb-10.3.py usr/share/apport/package-hooks
debian/mariadb-server-10.1.insserv.conf => etc/insserv.conf.d/mariadb debian/mariadb-server-10.3.insserv.conf => etc/insserv.conf.d/mariadb
etc/apparmor.d/usr.sbin.mysqld etc/apparmor.d/usr.sbin.mysqld
[linux-any] lib/systemd/system/mariadb@.service [linux-any] lib/systemd/system/mariadb@.service
[linux-any] lib/systemd/system/mariadb.service [linux-any] lib/systemd/system/mariadb.service
...@@ -65,7 +65,7 @@ usr/lib/*/mariadb18/plugin/server_audit.so ...@@ -65,7 +65,7 @@ usr/lib/*/mariadb18/plugin/server_audit.so
usr/lib/*/mariadb18/plugin/simple_password_check.so usr/lib/*/mariadb18/plugin/simple_password_check.so
usr/lib/*/mariadb18/plugin/sql_errlog.so usr/lib/*/mariadb18/plugin/sql_errlog.so
usr/lib/*/mariadb18/plugin/wsrep_info.so usr/lib/*/mariadb18/plugin/wsrep_info.so
usr/share/doc/mariadb-server-10.1/mysqld.sym.gz usr/share/doc/mariadb-server-10.3/mysqld.sym.gz
usr/share/mysql/errmsg-utf8.txt usr/share/mysql/errmsg-utf8.txt
usr/share/mysql/fill_help_tables.sql usr/share/mysql/fill_help_tables.sql
usr/share/mysql/maria_add_gis_sp.sql usr/share/mysql/maria_add_gis_sp.sql
......
# ash's buildin has no "-e" so use /bin/echo # ash's buildin has no "-e" so use /bin/echo
mariadb-server-10.1: command-with-path-in-maintainer-script postinst:140 /bin/echo mariadb-server-10.3: command-with-path-in-maintainer-script postinst:140 /bin/echo
# OK, path /usr/sbin/invoke-rc.d is only used in check, executes are run without the path # OK, path /usr/sbin/invoke-rc.d is only used in check, executes are run without the path
# False positive: unfortified calls have already been fully validated at compile-time # False positive: unfortified calls have already been fully validated at compile-time
# See full research at https://jira.mariadb.org/browse/MDEV-8377 # See full research at https://jira.mariadb.org/browse/MDEV-8377
mariadb-server-10.1: hardening-no-fortify-functions usr/lib/*/mariadb18/plugin/auth_pam.so mariadb-server-10.3: hardening-no-fortify-functions usr/lib/*/mariadb18/plugin/auth_pam.so
...@@ -165,7 +165,7 @@ case "${1:-''}" in ...@@ -165,7 +165,7 @@ case "${1:-''}" in
if ! mysqld_status check_dead warn; then if ! mysqld_status check_dead warn; then
log_end_msg 1 log_end_msg 1
log_failure_msg "Please stop MariaDB manually and read /usr/share/doc/mariadb-server-10.1/README.Debian.gz!" log_failure_msg "Please stop MariaDB manually and read /usr/share/doc/mariadb-server-10.3/README.Debian.gz!"
exit -1 exit -1
else else
log_end_msg 0 log_end_msg 0
......
...@@ -91,7 +91,7 @@ EOF ...@@ -91,7 +91,7 @@ EOF
# Clean up old flags before setting new one # Clean up old flags before setting new one
rm -f $mysql_datadir/debian-*.flag rm -f $mysql_datadir/debian-*.flag
# Flag data dir to avoid downgrades # Flag data dir to avoid downgrades
touch $mysql_datadir/debian-10.1.flag touch $mysql_datadir/debian-10.3.flag
# initiate databases. Output is not allowed by debconf :-( # initiate databases. Output is not allowed by debconf :-(
# This will fail if we are upgrading an existing database; in this case # This will fail if we are upgrading an existing database; in this case
......
...@@ -10,14 +10,14 @@ ${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 } ...@@ -10,14 +10,14 @@ ${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 }
# - Remove the mysql user only after all his owned files are purged. # - Remove the mysql user only after all his owned files are purged.
# - Cleanup the initscripts only if this was the last provider of them # - Cleanup the initscripts only if this was the last provider of them
# #
if [ "$1" = "purge" ] && [ -f "/var/lib/mysql/debian-10.1.flag" ]; then if [ "$1" = "purge" ] && [ -f "/var/lib/mysql/debian-10.3.flag" ]; then
# we remove the mysql user only after all his owned files are purged # we remove the mysql user only after all his owned files are purged
rm -f /var/log/mysql.{log,err}{,.0,.[1234567].gz} rm -f /var/log/mysql.{log,err}{,.0,.[1234567].gz}
rm -rf /var/log/mysql rm -rf /var/log/mysql
db_input high mariadb-server-10.1/postrm_remove_databases || true db_input high mariadb-server-10.3/postrm_remove_databases || true
db_go || true db_go || true
db_get mariadb-server-10.1/postrm_remove_databases || true db_get mariadb-server-10.3/postrm_remove_databases || true
if [ "$RET" = "true" ]; then if [ "$RET" = "true" ]; then
# never remove the debian.cnf when the databases are still existing # never remove the debian.cnf when the databases are still existing
# else we ran into big trouble on the next install! # else we ran into big trouble on the next install!
......
...@@ -23,8 +23,8 @@ mysql_upgradedir=/var/lib/mysql-upgrade ...@@ -23,8 +23,8 @@ mysql_upgradedir=/var/lib/mysql-upgrade
################################ main() ########################## ################################ main() ##########################
this_version=10.1 this_version=10.3
max_upgradeable_version=5.6 max_upgradeable_version=5.7
# Check if a flag file is found that indicates a previous MariaDB or MySQL # Check if a flag file is found that indicates a previous MariaDB or MySQL
# version was installed. If multiple flags are found, check which one was # version was installed. If multiple flags are found, check which one was
...@@ -87,7 +87,7 @@ fi ...@@ -87,7 +87,7 @@ fi
# Instead simply move the old datadir and create a new for this_version. # Instead simply move the old datadir and create a new for this_version.
if [ ! -z "$downgrade_detected" ] if [ ! -z "$downgrade_detected" ]
then then
db_input critical mariadb-server-10.1/old_data_directory_saved || true db_input critical mariadb-server-10.3/old_data_directory_saved || true
db_go db_go
echo "The file $mysql_datadir/debian-$found_version.flag indicates a" 1>&2 echo "The file $mysql_datadir/debian-$found_version.flag indicates a" 1>&2
echo "version that cannot automatically be upgraded. Therefore the" 1>&2 echo "version that cannot automatically be upgraded. Therefore the" 1>&2
......
...@@ -7,7 +7,7 @@ ...@@ -7,7 +7,7 @@
# Even minor modifications require translation updates and such # Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers. # changes should be coordinated with translators and reviewers.
Template: mariadb-server-10.1/old_data_directory_saved Template: mariadb-server-10.3/old_data_directory_saved
Type: note Type: note
_Description: The old data directory will be saved at new location _Description: The old data directory will be saved at new location
A file named /var/lib/mysql/debian-*.flag exists on this system. A file named /var/lib/mysql/debian-*.flag exists on this system.
...@@ -19,7 +19,7 @@ _Description: The old data directory will be saved at new location ...@@ -19,7 +19,7 @@ _Description: The old data directory will be saved at new location
. .
Please manually export/import your data (e.g. with mysqldump) if needed. Please manually export/import your data (e.g. with mysqldump) if needed.
Template: mariadb-server-10.1/nis_warning Template: mariadb-server-10.3/nis_warning
Type: note Type: note
#flag:translate!:3,5 #flag:translate!:3,5
_Description: Important note for NIS/YP users _Description: Important note for NIS/YP users
...@@ -33,7 +33,7 @@ _Description: Important note for NIS/YP users ...@@ -33,7 +33,7 @@ _Description: Important note for NIS/YP users
. .
/var/lib/mysql: drwxr-xr-x mysql mysql /var/lib/mysql: drwxr-xr-x mysql mysql
Template: mariadb-server-10.1/postrm_remove_databases Template: mariadb-server-10.3/postrm_remove_databases
Type: boolean Type: boolean
Default: false Default: false
_Description: Remove all MariaDB databases? _Description: Remove all MariaDB databases?
......
...@@ -326,16 +326,16 @@ usr/include/mysql/private/atomic/gcc_builtins.h ...@@ -326,16 +326,16 @@ usr/include/mysql/private/atomic/gcc_builtins.h
usr/include/mysql/private/atomic/generic-msvc.h usr/include/mysql/private/atomic/generic-msvc.h
usr/include/mysql/private/atomic/nolock.h usr/include/mysql/private/atomic/nolock.h
usr/include/mysql/private/atomic/x86-gcc.h usr/include/mysql/private/atomic/x86-gcc.h
usr/share/doc/mariadb-server-10.1/README-wsrep usr/share/doc/mariadb-server-10.3/README-wsrep
usr/share/doc/mariadb-server-10.1/COPYING usr/share/doc/mariadb-server-10.3/COPYING
usr/share/doc/mariadb-server-10.1/PATENTS usr/share/doc/mariadb-server-10.3/PATENTS
usr/share/doc/mariadb-server-10.1/README usr/share/doc/mariadb-server-10.3/README
usr/share/doc/mariadb-server-10.1/CREDITS usr/share/doc/mariadb-server-10.3/CREDITS
usr/share/doc/mariadb-server-10.1/COPYING.GPLv2 usr/share/doc/mariadb-server-10.3/COPYING.GPLv2
usr/share/doc/mariadb-server-10.1/INSTALL-BINARY usr/share/doc/mariadb-server-10.3/INSTALL-BINARY
usr/share/doc/mariadb-server-10.1/COPYING.thirdparty usr/share/doc/mariadb-server-10.3/COPYING.thirdparty
usr/share/doc/mariadb-server-10.1/COPYING.AGPLv3 usr/share/doc/mariadb-server-10.3/COPYING.AGPLv3
usr/share/doc/mariadb-server-10.1/EXCEPTIONS-CLIENT usr/share/doc/mariadb-server-10.3/EXCEPTIONS-CLIENT
usr/share/mysql/binary-configure usr/share/mysql/binary-configure
usr/share/mysql/mysql-test/mtr usr/share/mysql/mysql-test/mtr
usr/share/mysql/mysql-test/mysql-test-run usr/share/mysql/mysql-test/mysql-test-run
......
Tests: smoke Tests: smoke
Depends: mariadb-server-10.1 Depends: mariadb-server-10.3
Restrictions: allow-stderr needs-root isolation-container Restrictions: allow-stderr needs-root isolation-container
Tests: upstream Tests: upstream
......
...@@ -6,7 +6,7 @@ set -ex ...@@ -6,7 +6,7 @@ set -ex
# #
# This test should be declared in debian/tests/control with a dependency # This test should be declared in debian/tests/control with a dependency
# on the package that provides a configured MariaDB server (eg. # on the package that provides a configured MariaDB server (eg.
# mariadb-server-10.1). # mariadb-server-10.3).
# #
# This test should be declared in debian/tests/control with the # This test should be declared in debian/tests/control with the
# following restrictions: # following restrictions:
......
...@@ -4,7 +4,7 @@ pgpsigurlmangle=s/$/.asc/,\ ...@@ -4,7 +4,7 @@ pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/-(rc|beta)/$1/,pasv \ uversionmangle=s/-(rc|beta)/$1/,pasv \
ftp://ftp.osuosl.org/pub/mariadb/mariadb-10.3.([\d\.]*(?:-beta|-rc)?)/source/mariadb-([\d\.]*(?:-beta|-rc)?).tar.gz \ ftp://ftp.osuosl.org/pub/mariadb/mariadb-10.3.([\d\.]*(?:-beta|-rc)?)/source/mariadb-([\d\.]*(?:-beta|-rc)?).tar.gz \
# Added string "-10.1." in path as MariaDB has release series 10.0 and 10.1 in # Added string "-10.3." in path as MariaDB has release series 10.0 and 10.1 in
# parallel, and we want uscan to check for updates only in the 10.1-series. # parallel, and we want uscan to check for updates only in the 10.1-series.
# Automated signature checking with pgpsigurlmangle has been available # Automated signature checking with pgpsigurlmangle has been available
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment